<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="global-client-scheduled-thread-pool-max-size,global-client-thread-pool-max-size"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.messaging.activemq.external.configuration"/>
    </provides>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="extension" default="org.wildfly.extension.messaging-activemq"/>
        <param name="global-client-thread-pool-max-size" nillable="true"/>
        <param name="global-client-scheduled-thread-pool-max-size" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
    <packages>
        <package name="org.wildfly.extension.messaging-activemq"/>
    </packages>
</feature-spec>